#!/usr/bin/perl
################################################################################
# MT Berkeley DB Updater (for db_dump185) - A Tool for Movable Type
# ** This is Masahiko Isshiki's kung fu! **
# http://www.masahiko.info/blog/
# 
# Release 1.0
# October 31, 2004
# ---------------------------------------------------------------------------
# This software is provided as-is.
# You may use it for commercial or personal use.
# If you distribute it, please keep this notice intact.
#
# Copyright (c) 2004 Masahiko Isshiki.
# ---------------------------------------------------------------------------
################################################################################

use strict;
use vars qw($VERSION);
$VERSION = 1.0;

local *MYDH;
if (!opendir(MYDH, ".")) {
  print ("opendir Error!");
  exit;
}
my @list = grep { /.*\.db$|.*\.idx$/ } readdir(MYDH);
closedir(MYDH);

my $counter = 0;
foreach my $filename (@list) {
  $counter = $counter + 1;
  print ("--- [$counter] $filename -------\n" );
  
  system("db_dump185 -f $filename.data $filename");
  print (" db_dump185 -f $filename.data $filename \n" );

  system("mv $filename $filename.old");
  print (" mv $filename $filename.old \n" );

  system("db_load -f $filename.data $filename" );
  print (" db_load -f $filename.data $filename \n" );

  system("chmod 666 $filename" );
  print (" chmod 666 $filename \n" );

  print ("------------------------------------\n\n" );
}

print ("All done.\n\n");

1;
